package com.demo.entity.po;

import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

@Document(collection = "DeviceInfo")
public class DeviceInfo {

    private String os;
    private String info;
    private String reyunId;
    private Long timestamps;

    public DeviceInfo() {
    }

    public DeviceInfo(String os, String info, String reyunId) {
        this.os = os;
        this.info = info;
        this.reyunId = reyunId;
        timestamps = new Date().getTime();
    }

    public String getOs() {
        return os;
    }

    public void setOs(String os) {
        this.os = os;
    }

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public String getReyunId() {
        return reyunId;
    }

    public void setReyunId(String reyunId) {
        this.reyunId = reyunId;
    }

    public Long getTimestamps() {
        return timestamps;
    }

    public void setTimestamps(Long timestamps) {
        this.timestamps = timestamps;
    }
}
